/* /Components/Layout/MainLayout.razor.rz.scp.css */
#blazor-error-ui[b-e9ql81pn1y] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-e9ql81pn1y] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-ccah6fb271],
.components-reconnect-repeated-attempt-visible[b-ccah6fb271],
.components-reconnect-failed-visible[b-ccah6fb271],
.components-pause-visible[b-ccah6fb271],
.components-resume-failed-visible[b-ccah6fb271],
.components-rejoining-animation[b-ccah6fb271] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-ccah6fb271],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-ccah6fb271],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-ccah6fb271],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-ccah6fb271],
#components-reconnect-modal.components-reconnect-retrying[b-ccah6fb271],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-ccah6fb271],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-ccah6fb271],
#components-reconnect-modal.components-reconnect-failed[b-ccah6fb271],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-ccah6fb271] {
    display: block;
}


#components-reconnect-modal[b-ccah6fb271] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-ccah6fb271 0.5s both;
    &[open]

{
    animation: components-reconnect-modal-slideUp-b-ccah6fb271 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-ccah6fb271 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}

}

#components-reconnect-modal[b-ccah6fb271]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-ccah6fb271 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-ccah6fb271 {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-ccah6fb271 {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-ccah6fb271 {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-ccah6fb271] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-ccah6fb271] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-ccah6fb271] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

    #components-reconnect-modal button:hover[b-ccah6fb271] {
        background-color: #3b6ea2;
    }

    #components-reconnect-modal button:active[b-ccah6fb271] {
        background-color: #6b9ed2;
    }

.components-rejoining-animation[b-ccah6fb271] {
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-rejoining-animation div[b-ccah6fb271] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-ccah6fb271 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-rejoining-animation div:nth-child(2)[b-ccah6fb271] {
            animation-delay: -0.5s;
        }

@keyframes components-rejoining-animation-b-ccah6fb271 {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
/* /Components/Media/CollageComponent.razor.rz.scp.css */
.collage[b-lgd2crzs4g] {
    height: 600px; /* oder per Parameter */
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.collage-container[b-lgd2crzs4g] {
    display: grid;
    margin: 0 0;
    height: 100%;
    gap: 2px;
}

/* ensure items can be transformed smoothly */ /* ensure items can be transformed smoothly */ /* ensure items can be transformed smoothly */
.collage-item[b-lgd2crzs4g] {
    height: 100%;
    width: 100%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* fade helper for collage images */
.collage-img[b-lgd2crzs4g] {
    max-width: 100%;
    max-height: 100%;
    width: 100%;
    object-fit: cover; /* oder: contain */
    object-position: center 20%;
    opacity: 1;
    transition: opacity 300ms ease-in-out;
    -webkit-transition: opacity 300ms ease-in-out;
    will-change: opacity;
    display: block;
    border-radius: 2px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.2);
}

.collage-fade-out[b-lgd2crzs4g] {
    opacity: 0 !important;
}

.collage-fade-in[b-lgd2crzs4g] {
    opacity: 1 !important;
}

/* Layout 2x2 */
.layout-2x2[b-lgd2crzs4g] {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-template-areas:
        "img1 img2"
        "img3 img4";
}

.layout-2plus3[b-lgd2crzs4g] {
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-template-areas:
        "img1 img1 img1 img2 img2 img2"
        "img3 img3 img4 img4 img5 img5";
}

    .layout-2plus3 .collage-item:nth-of-type(1)[b-lgd2crzs4g] {
        grid-area: img1;
        grid-column: span 3;
    }

    .layout-2plus3 .collage-item:nth-of-type(2)[b-lgd2crzs4g] {
        grid-area: img2;
        grid-column: span 3;
    }

    .layout-2plus3 .collage-item:nth-of-type(3)[b-lgd2crzs4g] {
        grid-area: img3;
        grid-column: span 2;
    }

    .layout-2plus3 .collage-item:nth-of-type(4)[b-lgd2crzs4g] {
        grid-area: img4;
        grid-column: span 2;
    }

    .layout-2plus3 .collage-item:nth-of-type(5)[b-lgd2crzs4g] {
        grid-area: img5;
        grid-column: span 2;
    }

/* Layout 3+1 */
.layout-3plus1[b-lgd2crzs4g] {
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-template-areas:
        "img1 img2 img3"
        "img4 img4 img4";
}

    .layout-3plus1 .collage-item:nth-of-type(4)[b-lgd2crzs4g] {
        grid-area: img4;
        grid-column: span 3;
    }

/* Layout 2+1 */
.layout-2plus1[b-lgd2crzs4g] {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    grid-template-areas:
        "img1 img2"
        "img3 img3";
}

    .layout-2plus1 .collage-item:nth-of-type(3)[b-lgd2crzs4g] {
        grid-area: img3;
        grid-column: span 2;
    }

/* Layout 1+2 */
.layout-1plus2[b-lgd2crzs4g] {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    grid-template-areas:
        "img1 img1"
        "img2 img3";
}

    .layout-1plus2 .collage-item:nth-of-type(1)[b-lgd2crzs4g] {
        grid-area: img1;
        grid-column: span 2;
    }

/* Layout 3 */
.layout-3[b-lgd2crzs4g] {
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 1fr;
    grid-template-areas:
        "img1 img2 img3"
}

    .layout-3 .collage-img[b-lgd2crzs4g] {
        width: auto;
        height: 100%;
    }

.vlayout-2plus1[b-lgd2crzs4g] {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-template-areas:
        "img1 img2"
        "img3 img2";
}

    .vlayout-2plus1 .collage-item:nth-of-type(2)[b-lgd2crzs4g] {
        grid-area: img2;
        grid-row: span 2;
        height: 100%;
    }

        .vlayout-2plus1 .collage-item:nth-of-type(2) .img[b-lgd2crzs4g] {
            object-position: center !important;
        }
